package ch.fhnw.kry;

import org.junit.jupiter.api.Test;

import static ch.fhnw.kry.Main.CIPHER;
import static ch.fhnw.kry.Main.KEY;
import static org.junit.jupiter.api.Assertions.assertEquals;

class DecryptTest {

    @Test
    void strToArray() {
        var decrypt = new Decrypt();

        int[] data = decrypt.strToArray(CIPHER);

        assertEquals(8, data.length);
        assertEquals(0x04D2, data[0]);
        assertEquals(0x2BB0, data[data.length - 1]);
    }

    @Test
    void decrypt() {
        var decrypt = new Decrypt();
        assertEquals("Gut gemacht!", decrypt.decrypt(KEY, CIPHER));
    }
}
